/* SofChat (Web Chat program SHM version)      */
/* Copyright(c) Y.YONEYAMA                     */
/*                                             */
/* utils.h                                     */

#ifndef _UTILS_H_
#define _UTILS_H_

#include "sofchat.h"

#define ESC        0x1b

#define NumElem(arr)       ((int) (sizeof(arr) / sizeof(arr[0])))

#define sjis1st(x)         ((((unsigned char)x)>0x80)&&((((unsigned char)x)<0xa0)||\
                            (((unsigned char)x)>0xdf)))

void sjis2euc(
#if NeedFunctionPrototypes
char *dst,
char *src
#endif
);

void euc2sjis(
#if NeedFunctionPrototypes
char *dst,
char *src
#endif
);

void jis2euc(
#if NeedFunctionPrototypes
char *dst,
char *src
#endif
);

int getjcode(
#if NeedFunctionPrototypes
char *src
#endif
);

int h2i(
#if NeedFunctionPrototypes
char c
#endif
);

char i2h(
#if NeedFunctionPrototypes
int i
#endif
);

int isIP(
#if NeedFunctionPrototypes
char *ip
#endif
);

IP str2IP(
#if NeedFunctionPrototypes
char *ip
#endif
);

void i2ip(
#if NeedFunctionPrototypes
char *ip,
unsigned long i
#endif
);

int compareIP(
#if NeedFunctionPrototypes
IP ip1,
IP ip2,
IP mask
#endif
);

char *get_env(
#if NeedFunctionPrototypes
char *str
#endif
);

char *jstrncpy(
#if NeedFunctionPrototypes
char *dst,
char *src,
int max
#endif
);

void scstrlwr(
#if NeedFunctionPrototypes
char *str
#endif
);


#endif /* _UTILS_H_ */
